#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        A Qt wrapper for Bluez
Name:           bluez-qt
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickTest)

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
A Qt wrapper for Bluez

%files 
%_sysconfdir/xdg/bluez.categories
%_udevrulesdir/61-kde-bluetooth-rfkill.rules
%_kf5_qmldir/org/kde/bluezqt

#--------------------------------------------------------------------

%define kf5bluezqt_major 5
%define libkf5bluezqt %mklibname kf5bluezqt %{kf5bluezqt_major}

%package -n %libkf5bluezqt
Summary:      A Qt wrapper for Bluez
Group:        System/Libraries
%if %mgaver > 5
Obsoletes:   %{_lib}bluedevil2 < %version
Provides:    %{_lib}bluedevil2 = %version-%release
%endif

%description -n %libkf5bluezqt
A Qt wrapper for Bluez

%files -n %libkf5bluezqt
%_kf5_libdir/libKF5BluezQt.so.%{kf5bluezqt_major}*
%_kf5_libdir/libKF5BluezQt.so.6

#--------------------------------------------------------------------

%define kf5bluezqt_devel %mklibname kf5bluezqt -d

%package -n %kf5bluezqt_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5bluezqt = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}
%if %mgaver > 5
Obsoletes:   bluedevil-devel < %version
Provides:    bluedevil-devel = %version-%release
%endif

%description -n %kf5bluezqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5bluezqt_devel
%_kf5_includedir/BluezQt
%_kf5_includedir/bluezqt_version.h
%_kf5_libdir/cmake/KF5BluezQt
%_kf5_libdir/*.so
%_kf5_libdir/qt5/mkspecs/modules/qt_BluezQt.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DUDEV_RULES_INSTALL_DIR="%_udevrulesdir"
%make

%install
%makeinstall_std -C build



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194104
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088938
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074509
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072170
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058329
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050506
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045084
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041306
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021905
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014315
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999612
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986303
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942224
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921258
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912913
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909839
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900539
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899615
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898903
+ rebuild (emptylog)

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898741
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888143
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881367
- New version 5.14.0

* Sat Aug 15 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 865024
- Obsolete bluedevil-devel

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862923
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862815
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853773
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849265
- imported package bluez-qt

